#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD2,0x5D,0xD5,0xC4,0xEF,0x60,0x9A,0xAE,0x8F,0xF4,0xA6,0x7C,
		0x80,0xD9,0xC1,0xC7,0xC5,0x76,0x4E,0x97,0x6D,0x36,0x9B,0x7A,
		0x2F,0xBE,0xF7,0x61,0xE4,0xE2,0x20,0x55,0x18,0xDC,0xE3,0xCE,
		0x4B,0x71,0xFB,0xE6,0x72,0x7F,0x33,0xA8,0xAE,0x29,0xF2,0x58,
		0xA9,0xF9,0x3A,0x14,0x1C,0x30,0x22,0x3A,0xDE,0xA5,0xFC,0x7B,
		0x66,0xA4,0x2D,0x73,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
